Name:       razergenie
Version:    1.3.0
Release:    %mkrel 1
Summary:    Configure and control your Razer devices
Group:      System/Configuration
License:    GPL-3.0
URL:        https://github.com/z3ntu/RazerGenie
Source0:    https://github.com/z3ntu/RazerGenie/releases/download/v%{version}/RazerGenie-%{version}.tar.xz

BuildRequires: meson
BuildRequires: pkgconfig(libopenrazer) >= 0.4.0
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Xml)
BuildRequires: qttools6

Requires:      openrazer-meta

%description
Qt application for configuring your Razer devices under GNU/Linux.
RazerGenie uses OpenRazer for providing control over Razer peripherals.

%prep
%autosetup -n RazerGenie-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install


%files
%{_bindir}/razergenie
%{_datadir}/applications/xyz.z3ntu.razergenie.desktop
%{_datadir}/icons/hicolor/scalable/apps/xyz.z3ntu.razergenie.svg
%{_datadir}/metainfo/xyz.z3ntu.razergenie.appdata.xml
%{_datadir}/razergenie/


%changelog
* Thu Jul 17 2025 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2256741
- new version: 1.3.0
- switch to Qt6

* Sun Jun 29 2025 umeabot <umeabot> 1.1.0-3.mga10
+ Revision: 2222761
- Mageia 10 Mass Rebuild

* Sat May 18 2024 squidf <squidf> 1.1.0-2.mga10
+ Revision: 2064762
-First MGA package inspired by openSUSE


* Sun Dec 3 2023 squidf <squid-f> 1.1.0-0.1
- Initial Mageia package, based on OBS
